Package com.massivecraft.factions.listeners

## Class FactionsPlayerListener

- java.lang.Object
- - com.massivecraft.factions.listeners.FactionsPlayerListener

All Implemented Interfaces:
  `org.bukkit.event.Listener`

    public class FactionsPlayerListener
    extends java.lang.Object
    implements org.bukkit.event.Listener

### Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static java.util.Set<FLocation>` | `corners` |
`(package private) java.util.HashMap<org.bukkit.entity.Player,​java.lang.Boolean>` | `fallMap` |

### Constructor Summary

Constructors
Constructor | Description
--- | ---
`FactionsPlayerListener()` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `AsyncPlayerChatEvent​(org.bukkit.event.player.AsyncPlayerChatEvent e)` |
`static boolean` | `canPlayerUseBlock​(org.bukkit.entity.Player player, org.bukkit.block.Block block, boolean justCheck)` |
`void` | `enableFly​(FPlayer me)` |
`java.util.Set<FLocation>` | `getCorners()` |
`static java.lang.Boolean` | `isSystemFaction​(Faction faction)` |
`static void` | `loadCorners()` |
`void` | `onClose​(org.bukkit.event.inventory.InventoryCloseEvent e)` |
`void` | `onDamage​(org.bukkit.event.entity.EntityDamageEvent e)` |
`void` | `onFactionJoin​(FPlayerJoinEvent event)` |
`void` | `onFactionLeave​(FPlayerLeaveEvent event)` |
`void` | `onInentorySee​(org.bukkit.event.inventory.InventoryClickEvent e)` |
`void` | `onInspect​(org.bukkit.event.player.PlayerInteractEvent e)` |
`void` | `onLogoutMove​(org.bukkit.event.player.PlayerMoveEvent e)` |
`void` | `onPearl​(org.bukkit.event.player.PlayerInteractEvent e)` |
`void` | `onPlayerBoneMeal​(org.bukkit.event.player.PlayerInteractEvent event)` |
`void` | `onPlayerBucketEmpty​(org.bukkit.event.player.PlayerBucketEmptyEvent event)` |
`void` | `onPlayerBucketFill​(org.bukkit.event.player.PlayerBucketFillEvent event)` |
`void` | `onPlayerFall​(org.bukkit.event.entity.EntityDamageEvent e)` |
`void` | `onPlayerInteract​(org.bukkit.event.player.PlayerInteractEvent event)` |
`void` | `onPlayerInteractGUI​(org.bukkit.event.inventory.InventoryClickEvent event)` |
`void` | `onPlayerJoin​(org.bukkit.event.player.PlayerJoinEvent event)` |
`void` | `onPlayerKick​(org.bukkit.event.player.PlayerKickEvent event)` |
`void` | `onPlayerMove​(org.bukkit.event.player.PlayerMoveEvent event)` |
`void` | `onPlayerMoveGUI​(org.bukkit.event.inventory.InventoryDragEvent event)` |
`void` | `onPlayerQuit​(org.bukkit.event.player.PlayerQuitEvent event)` |
`void` | `onPlayerRespawn​(org.bukkit.event.player.PlayerRespawnEvent event)` |
`void` | `onTeleport​(org.bukkit.event.player.PlayerTeleportEvent e)` |
`java.lang.String` | `parseAllPlaceholders​(java.lang.String string, Faction faction, org.bukkit.entity.Player player)` |
`static boolean` | `playerCanUseItemHere​(org.bukkit.entity.Player player, org.bukkit.Location location, org.bukkit.Material material, boolean justCheck)` |
`static boolean` | `preventCommand​(java.lang.String fullCmd, org.bukkit.entity.Player player)` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### fallMap

    java.util.HashMap<org.bukkit.entity.Player,​java.lang.Boolean> fallMap

#### corners

    public static java.util.Set<FLocation> corners

### Constructor Detail

#### FactionsPlayerListener

    public FactionsPlayerListener()

### Method Detail

#### loadCorners

    public static void loadCorners()

#### isSystemFaction

    public static java.lang.Boolean isSystemFaction​(Faction faction)

#### playerCanUseItemHere

    public static boolean playerCanUseItemHere​(org.bukkit.entity.Player player,
                                               org.bukkit.Location location,
                                               org.bukkit.Material material,
                                               boolean justCheck)

#### canPlayerUseBlock

    public static boolean canPlayerUseBlock​(org.bukkit.entity.Player player,
                                            org.bukkit.block.Block block,
                                            boolean justCheck)

#### preventCommand

    public static boolean preventCommand​(java.lang.String fullCmd,
                                         org.bukkit.entity.Player player)

#### onPlayerJoin

    public void onPlayerJoin​(org.bukkit.event.player.PlayerJoinEvent event)

#### onPlayerFall

    public void onPlayerFall​(org.bukkit.event.entity.EntityDamageEvent e)

#### onPlayerQuit

    public void onPlayerQuit​(org.bukkit.event.player.PlayerQuitEvent event)

#### parseAllPlaceholders

    public java.lang.String parseAllPlaceholders​(java.lang.String string,
                                                 Faction faction,
                                                 org.bukkit.entity.Player player)

#### enableFly

    public void enableFly​(FPlayer me)

#### onInspect

    public void onInspect​(org.bukkit.event.player.PlayerInteractEvent e)

#### onPearl

    public void onPearl​(org.bukkit.event.player.PlayerInteractEvent e)

#### onPlayerMove

    public void onPlayerMove​(org.bukkit.event.player.PlayerMoveEvent event)

#### onClose

    public void onClose​(org.bukkit.event.inventory.InventoryCloseEvent e)

#### onPlayerInteract

    public void onPlayerInteract​(org.bukkit.event.player.PlayerInteractEvent event)

#### onInentorySee

    public void onInentorySee​(org.bukkit.event.inventory.InventoryClickEvent e)

#### onPlayerBoneMeal

    public void onPlayerBoneMeal​(org.bukkit.event.player.PlayerInteractEvent event)

#### onPlayerRespawn

    public void onPlayerRespawn​(org.bukkit.event.player.PlayerRespawnEvent event)

#### onPlayerBucketEmpty

    public void onPlayerBucketEmpty​(org.bukkit.event.player.PlayerBucketEmptyEvent event)

#### onPlayerBucketFill

    public void onPlayerBucketFill​(org.bukkit.event.player.PlayerBucketFillEvent event)

#### onLogoutMove

    public void onLogoutMove​(org.bukkit.event.player.PlayerMoveEvent e)

#### onDamage

    public void onDamage​(org.bukkit.event.entity.EntityDamageEvent e)

#### onTeleport

    public void onTeleport​(org.bukkit.event.player.PlayerTeleportEvent e)

#### onPlayerInteractGUI

    public void onPlayerInteractGUI​(org.bukkit.event.inventory.InventoryClickEvent event)

#### onPlayerMoveGUI

    public void onPlayerMoveGUI​(org.bukkit.event.inventory.InventoryDragEvent event)

#### onPlayerKick

    public void onPlayerKick​(org.bukkit.event.player.PlayerKickEvent event)

#### onFactionJoin

    public final void onFactionJoin​(FPlayerJoinEvent event)

#### onFactionLeave

    public void onFactionLeave​(FPlayerLeaveEvent event)

#### getCorners

    public java.util.Set<FLocation> getCorners()

#### AsyncPlayerChatEvent

    public void AsyncPlayerChatEvent​(org.bukkit.event.player.AsyncPlayerChatEvent e)